Skip to main content
`Ctrl`+`K`

# KSPMonitorRegisterCreateFn

A function prototype for functions that do the creation when provided to `KSPMonitorRegister()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode KSPMonitorRegisterCreateFn(PetscViewer viewer, PetscViewerFormat format, void *ctx, PetscViewerAndFormat **result);

## Calling Sequence

- viewer - the viewer to be used with the `KSPMonitorRegisterFn`

- format - the format of the viewer

- ctx - a context for the monitor

- result - a `PetscViewerAndFormat` object

## See Also

SNES: Nonlinear Solvers, `KSPMonitorRegisterFn`, `KSP`, `KSPMonitorSet()`, `KSPMonitorRegister()`, `KSPMonitorFn`, `KSPMonitorRegisterDestroyFn`

## Level

beginner

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages